package oop.Enumeration;

public class Main {
	
	 // وضعنا فيه 7 ثوابت Days إسمه enum هنا قمنا بتعريف
    enum Days {
        MONDAY,
        TUESDAY,
        WEDNESDAY,
        THURSDAY,
        FRIDAY,
        SATURDAY,
        SUNDAY
    }
    
	enum Size {

		// هنا قمنا بتعريف أسماء الثوابت و تحديد قيمهم
		SMALL(100), MEDIUM(150), LARGE(200), XLARGE(250);

		private int value;

		private Size(int value) {
			this.value = value;
		}

	}

	public static void main(String[] args) {

		// .values => Gibt alle Konstaten an
		for (Days d : Days.values())
			System.out.println(d);

		// .ordinal => Gibt das Index der Konstante zurück
		System.out.println(Days.MONDAY.ordinal());

		// Hier speichere ich eine Kosntante
		Days day = Days.THURSDAY;
		System.out.println(day);

		System.out.println();
		System.out.println("Die Sizen: ");
		for (Size s : Size.values()) {
			System.out.println(s + " " + s.value);
		}

	}
}
